<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_cc13a0811453f376ca3d9bf4073" . "f66b6" => base64_decode("UmVpbmRleERvY" . "3VtZW50cw=="), "_7f628626dd1d55c71b1fc0932f" . "fd1d2c" => base64_decode("aXNfYXJy" . "YXk="), "_147160a2e585c182c1" . "b1349779a20ca3" => base64_decode("dGFnZ2Vkc19hZmZlY" . "3RlZA=="), "_2ddb0d638" . "f8b0800ac1" . "e678385d1d" . "13f" => base64_decode("dGFnZ" . "2Vkcw" . "=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_147160a2e585c" . "182c1b1349779a" . "20ca3"] => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_cc13a0811453f376ca3d" . "9bf4073f66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2ddb0d638f8b0800ac1e678" . "385d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2ddb0d638f8b0800ac1e" . "678385d1d13f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}